View a markdown version of this page

DescribePipelineExecution - AWS IoT SiteWise

DescribePipelineExecution

Retrieves detailed information about a specific pipeline execution, including the overall execution status and the status of each individual compute node. Use this operation to monitor execution progress and inspect per-node results, environment variables, and error details.

Request Syntax

GET /workspaces/workspaceName/pipelines/pipelineName/executions/pipelineExecutionId?maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of compute nodes to return per request. This is an upper bound; the actual number of results may be less. Default: 50.

Valid Range: Minimum value of 1. Maximum value of 250.

nextToken

The token to be used for the next set of paginated results.

Length Constraints: Minimum length of 1. Maximum length of 4096.

pipelineExecutionId

The unique identifier of the pipeline execution.

Length Constraints: Fixed length of 36.

Pattern: ^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Required: Yes

pipelineName

The name of the pipeline.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-zA-Z0-9_-]+

Required: Yes

workspaceName

The name of the workspace.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "computeNodeExecutionDetails": [ { "computeNodeName": "string", "dependsOn": [ "string" ], "endTime": number, "executionEnvironmentVariables": { "string" : "string" }, "startTime": number, "status": { "state": "string", "stateDetails": { "code": "string", "details": [ { "code": "string", "message": "string" } ], "message": "string" } }, "taskArn": "string", "taskName": "string", "taskVersion": "string" } ], "endTime": number, "executionPriority": number, "nextToken": "string", "pipelineExecutionId": "string", "pipelineName": "string", "pipelineVersion": "string", "requestEnvironmentVariables": { "computeNodes": { "string" : { "string" : "string" } }, "global": { "string" : "string" } }, "startTime": number, "status": { "state": "string", "stateDetails": { "code": "string", "details": [ { "code": "string", "message": "string" } ], "message": "string" } }, "workspaceName": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

computeNodeExecutionDetails

A list of compute node execution details within this pipeline execution.

Type: Array of ComputeNodeExecutionDetails objects

endTime

The time the pipeline execution completed, in Unix epoch time.

Type: Timestamp

executionPriority

Scheduling priority for the execution. When not specified, defaults to lowest priority.

Type: Integer

Valid Range: Minimum value of 0. Maximum value of 2.

nextToken

The token to be used for the next set of paginated results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

pipelineExecutionId

The unique identifier of the pipeline execution.

Type: String

Length Constraints: Fixed length of 36.

Pattern: ^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

pipelineName

The name of the pipeline.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-zA-Z0-9_-]+

pipelineVersion

The pipeline version this execution ran against.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 10.

Pattern: ^(0|([1-9]{1}\d*))$

requestEnvironmentVariables

The environment variables provided as input for the pipeline execution.

Type: ExecutionEnvironmentVariables object

startTime

The time the pipeline execution started, in Unix epoch time.

Type: Timestamp

status

The current execution status of the pipeline.

Type: PipelineExecutionStatus object

workspaceName

The name of the workspace.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access is denied.

HTTP Status Code: 403

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: